{
	// See https://go.microsoft.com/fwlink/?LinkId=733558
	// for the documentation about the tasks.json format
	"version": "2.0.0",
	"tasks": [
		{
			"label": "MakeHTML",
			"type": "shell",
			"command": "./sugarcube_compile.bat",
			"presentation": {
				"echo": true,
				"reveal": "always",
				"focus": false,
				"panel": "dedicated",
				"showReuseMessage": false,
				"clear": true
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [],
			"dependsOn": [
				"esbuild"
			]
		},
		{
			"label": "MakeReadme",
			"type": "shell",
			"command": "./readme/readme_compile.bat",
			"presentation": {
				"echo": true,
				"reveal": "always",
				"focus": false,
				"panel": "shared",
				"showReuseMessage": false,
				"clear": true
			},
			"group": {
				"kind": "build"
			},
			"problemMatcher": []
		},
		{
			"label": "BuildModFiles",
			"type": "shell",
			"command": "./mods/util/BuildModFiles.bat",
			"presentation": {
				"echo": true,
				"reveal": "always",
				"focus": false,
				"panel": "shared",
				"showReuseMessage": false,
				"clear": true
			},
			"group": {
				"kind": "build"
			},
			"problemMatcher": []
		},
		{
			"type": "typescript",
			"tsconfig": "./sugarcube/tsconfig.json",
			"problemMatcher": [
				"$tsc"
			],
			"presentation": {
				"panel": "dedicated",
			},
			"group": {
				"kind": "build"
			},
			"label": "TSC"
		},
		{
			"label": "esbuild",
			"type": "shell",
			"command": "esbuild sugarcube/temp/typescript.js --minify --outfile=sugarcube/src/typescript-min.js",
			"presentation": {
				"echo": true,
				"reveal": "always",
				"focus": false,
				"panel": "dedicated",
				"showReuseMessage": false,
				"clear": true
			},
			"group": {
				"kind": "build"
			},
			"problemMatcher": [],
			"dependsOn": [
				"TSC"
			]
		},
	]
}